Skip to main content
`Ctrl`+`K`

# MatISRestoreLocalMat

Restores the local matrix obtained with `MatISGetLocalMat()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatISRestoreLocalMat(Mat mat, Mat *local)

Not Collective.

## Input Parameters

- mat - the matrix

- local - the local matrix

## See Also

Matrices, `Mat`, `MATIS`, `MatISGetLocalMat()`

## Level

intermediate

## Location

src/mat/impls/is/matis.c

## Examples

src/ksp/ksp/tutorials/ex71.c

## Implementations

MatISRestoreLocalMat_IS() in src/mat/impls/is/matis.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages